org.apache.cocoon.ajax
Class GetContinuationAction
java.lang.Object
org.apache.avalon.framework.logger.AbstractLogEnabled
org.apache.cocoon.acting.AbstractAction
org.apache.cocoon.acting.ServiceableAction
org.apache.cocoon.ajax.GetContinuationAction
- All Implemented Interfaces:
- Disposable, Component, LogEnabled, Serviceable, ThreadSafe, Action
public class GetContinuationAction
- extends ServiceableAction
- implements ThreadSafe, Disposable
Get a continuation knowing its identifier, and set it as the current continuation
in the object model, in the same manner as cocoon.sendPageAndWait() does.
This action is useful when an Ajax request is made that needs to access data related
to the continuation that originally displayed the current page.
The continuation id is either the src attribute in <map:act>
or, if not specified, the continuation-id request parameter.
This action is successful if the continuation exists and is still valid.
- Since:
- 2.1.8
- Version:
- $Id: GetContinuationAction.html 1304258 2012-03-23 10:09:27Z ilgrosso $
| Fields inherited from interface org.apache.cocoon.acting.Action |
ROLE |
|
Method Summary |
Map |
act(Redirector redirector,
SourceResolver resolver,
Map objectModel,
String source,
Parameters parameters)
Controls the processing against some values of the
Dictionary objectModel and returns a
Map object with values used in subsequent
sitemap substitution patterns. |
void |
dispose()
|
void |
service(ServiceManager manager)
Set the current ServiceManager instance used by this
Serviceable. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
GetContinuationAction
public GetContinuationAction()
service
public void service(ServiceManager manager)
throws ServiceException
- Description copied from class:
ServiceableAction
- Set the current
ServiceManager instance used by this
Serviceable.
- Specified by:
service in interface Serviceable- Overrides:
service in class ServiceableAction
- Throws:
ServiceException
act
public Map act(Redirector redirector,
SourceResolver resolver,
Map objectModel,
String source,
Parameters parameters)
throws Exception
- Description copied from interface:
Action
- Controls the processing against some values of the
Dictionary objectModel and returns a
Map object with values used in subsequent
sitemap substitution patterns.
NOTE: This interface is designed so that implentations can be ThreadSafe.
When an action is ThreadSafe, only one instance serves all requests : this
reduces memory usage and avoids pooling.
- Specified by:
act in interface Action
resolver - The SourceResolver in chargeobjectModel - The Map with object of the
calling environment which can be used
to select values this controller may need
(ie Request, Response).source - A source String to the Actionparameters - The Parameters for this invocation
- Returns:
- Map The returned
Map object with
sitemap substitution values which can be used
in subsequent elements attributes like src=
using a xpath like expression: src="mydir/{myval}/foo"
If the return value is null the processing inside
the element of the sitemap will
be skipped.
- Throws:
Exception - Indicates something is totally wrong
dispose
public void dispose()
- Specified by:
dispose in interface Disposable
Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.